--- title: "deleteCloudMongoDbUserList" slug: "database-vmongodb-deletecloudmongodbuserlist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmongodb-deletecloudmongodbuserlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteCloudMongoDbUserList Available in VPC Delete a DB user to added to a Cloud DB for MongoDB instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmongodb/v2/deleteCloudMongoDbUserList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) request headers](/docs/en/database-vmongodb#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MongoDB instance whose DB user you want to delete - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMongoDbInstanceNo` | String | Required | Instance number of Cloud DB for MongoDB - See [getCloudMongoDbInstanceList](/docs/en/database-vmongodb-getcloudmongodbinstancelist) | | `cloudMongoDbUserList.N.userName` | List[String] | Required | List of DB user account IDs to delete - See [getCloudMongoDbUserList](/docs/en/database-vmongodb-getcloudmongodbuserlist) - Up to 10 can be entered - `cloudMongoDbUserList.1.userName=user1&cloudMongoDbUserList.2.userName=user2` | | `cloudMongoDbUserList.N.databaseName` | List[String] | Required | List of Cloud DB for MongoDB DB names to delete the DB user from - See [getCloudMongoDbUserList](/docs/en/database-vmongodb-getcloudmongodbuserlist) - `cloudMongoDbUserList.1.databaseName=db001&cloudMongoDbUserList.2.databaseName=db002` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/deleteCloudMongoDbUserList ?regionCode=KR &cloudMongoDbInstanceNo=2512**** &cloudMongoDbUserList.1.userName=user000 &cloudMongoDbUserList.1.databaseName=db000 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see [Cloud DB for MongoDB (VPC) response status codes](/docs/en/database-vmongodb#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "deleteCloudMongoDbUserListResponse": { "requestId": "84457145-****-****-****-865eaa242b66", "returnCode": "0", "returnMessage": "success" } ``` } ``` - If `responseFormatType=xml` (default) ``` 84457145-****-****-****-865eaa242b66 0 success ```